﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ProyectoFinalCliente1.ServiceReference4 {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Categoria", Namespace="http://schemas.datacontract.org/2004/07/ProyectoFinalWCF.models")]
    [System.SerializableAttribute()]
    public partial class Categoria : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pEstadoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int pIdField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pNombreField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pEstado {
            get {
                return this.pEstadoField;
            }
            set {
                if ((object.ReferenceEquals(this.pEstadoField, value) != true)) {
                    this.pEstadoField = value;
                    this.RaisePropertyChanged("pEstado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int pId {
            get {
                return this.pIdField;
            }
            set {
                if ((this.pIdField.Equals(value) != true)) {
                    this.pIdField = value;
                    this.RaisePropertyChanged("pId");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pNombre {
            get {
                return this.pNombreField;
            }
            set {
                if ((object.ReferenceEquals(this.pNombreField, value) != true)) {
                    this.pNombreField = value;
                    this.RaisePropertyChanged("pNombre");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="ServiceReference4.ICategoriaService")]
    public interface ICategoriaService {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ICategoriaService/registrarBlogACategoria", ReplyAction="http://tempuri.org/ICategoriaService/registrarBlogACategoriaResponse")]
        bool registrarBlogACategoria(int idBlog, int idCategoria);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ICategoriaService/registrarBlogACategoria", ReplyAction="http://tempuri.org/ICategoriaService/registrarBlogACategoriaResponse")]
        System.Threading.Tasks.Task<bool> registrarBlogACategoriaAsync(int idBlog, int idCategoria);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ICategoriaService/obtenerCategorias", ReplyAction="http://tempuri.org/ICategoriaService/obtenerCategoriasResponse")]
        ProyectoFinalCliente1.ServiceReference4.Categoria[] obtenerCategorias();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ICategoriaService/obtenerCategorias", ReplyAction="http://tempuri.org/ICategoriaService/obtenerCategoriasResponse")]
        System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference4.Categoria[]> obtenerCategoriasAsync();
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ICategoriaService/obtenerCategoriasPorBlog", ReplyAction="http://tempuri.org/ICategoriaService/obtenerCategoriasPorBlogResponse")]
        ProyectoFinalCliente1.ServiceReference4.Categoria[] obtenerCategoriasPorBlog(int idBlog);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/ICategoriaService/obtenerCategoriasPorBlog", ReplyAction="http://tempuri.org/ICategoriaService/obtenerCategoriasPorBlogResponse")]
        System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference4.Categoria[]> obtenerCategoriasPorBlogAsync(int idBlog);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface ICategoriaServiceChannel : ProyectoFinalCliente1.ServiceReference4.ICategoriaService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class CategoriaServiceClient : System.ServiceModel.ClientBase<ProyectoFinalCliente1.ServiceReference4.ICategoriaService>, ProyectoFinalCliente1.ServiceReference4.ICategoriaService {
        
        public CategoriaServiceClient() {
        }
        
        public CategoriaServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public CategoriaServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public CategoriaServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public CategoriaServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public bool registrarBlogACategoria(int idBlog, int idCategoria) {
            return base.Channel.registrarBlogACategoria(idBlog, idCategoria);
        }
        
        public System.Threading.Tasks.Task<bool> registrarBlogACategoriaAsync(int idBlog, int idCategoria) {
            return base.Channel.registrarBlogACategoriaAsync(idBlog, idCategoria);
        }
        
        public ProyectoFinalCliente1.ServiceReference4.Categoria[] obtenerCategorias() {
            return base.Channel.obtenerCategorias();
        }
        
        public System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference4.Categoria[]> obtenerCategoriasAsync() {
            return base.Channel.obtenerCategoriasAsync();
        }
        
        public ProyectoFinalCliente1.ServiceReference4.Categoria[] obtenerCategoriasPorBlog(int idBlog) {
            return base.Channel.obtenerCategoriasPorBlog(idBlog);
        }
        
        public System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference4.Categoria[]> obtenerCategoriasPorBlogAsync(int idBlog) {
            return base.Channel.obtenerCategoriasPorBlogAsync(idBlog);
        }
    }
}
